Subject: Re: Command line debuggers of MS Visual C/C++?
From: [email-masked] (Christopher Faylor)

29 Mar 1998 03:28:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Geoff Hart <[email-masked]> wrote:
>Is there a way to debug code compiled by the Microsoft compilers (i.e.
>not gcc) from the command line?  I've used WinDbg for local debugging,
>that works fine.  But what I'd like to do is be able to telnet into a
>box, and debug that way (maybe even telnet from a Sun, HP, or IBM).
>
>I know gdb can do what I want (command-line debugging), but it doesn't
>seem to understand the debug information provided by the MS compilers.

Cygwin GDB doesn't understand Microsoft's debug file format, unfortunately.

I believe that Jacob Navia's lcc-win32 product does have a debugger that
understands this format, however.  I don't know if it is command line
driven, though.

A link to LCC-WIN32 is:

http://www.cs.virginia.edu/~lcc-win32
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".